<!-- <div class="control-section row">
    <div class="col-md-1 mw-col mt-4">
        <span class="mb-3 cursor-pointer col-xs-4">
            <em class="fa fa-chevron-left" routerLink="/admin/userdetails/myprofile"></em>
        </span>
    </div>
    
    <div  class="col-md-11 mt-4 pl-1">
        <nav class=" navbar justify-content-start pl-0 pt-0">
           
            <div class="float-left ">
                <p class="mb-0 text-capitalize"><strong>{{i18Labels?.Requests}}</strong></p>
                <p class='sub-heading text-muted'><small> {{i18Labels?.description}}</small></p>
            </div>

           
        </nav>

        <ejs-grid #gridelement [dataSource]='requestList'  [allowPaging]="true" 
        [allowSorting]="true" [pageSettings]="pageSettings" class="mt-2 ml-0 mr-0"
        [sortSettings]="{ columns: [{ field: 'requested_date', direction: 'Descending' }] }" [allowTextWrap] = 'true'>
            <e-columns>
                <e-column headerText='{{i18Labels?.Requestor}}' width=10>
                        <ng-template #template let-data>
                            {{data?.requestor}}
                        </ng-template>
                </e-column>
                <e-column headerText='{{i18Labels?.Module}}' width=10 [visible] = 'false'>
                    <ng-template #template let-data>
                        {{data?.module}}
                    </ng-template>
    
                </e-column>

                <e-column headerText='{{i18Labels?.Layer_request}}' width=11 >
                    <ng-template #template let-data>
                       
                        <span *ngFor="let layer of data?.layer"  > 
                            {{layer?.name}}&nbsp;&nbsp;&nbsp;
                        </span>
                            
                    </ng-template>
    
                </e-column>

                <e-column headerText='{{i18Labels?.Requesting_for}}' width=10> 
                    <ng-template #template let-data >

                        <span *ngFor="let usergroup of data?.usergroup"  > 
                            {{usergroup?.name}}&nbsp;&nbsp;&nbsp;
                        </span>
                       
                    </ng-template>
    
                </e-column>

                <e-column headerText='{{i18Labels?.Comments}}' width=10>
                    <ng-template #template let-data>
                        {{data?.comment}}

                    </ng-template>
    
                </e-column>
                <e-column field="requested_date" headerText='{{i18Labels?.Requested_on}}' width=10 type='datetime' [format]="{ type: 'dateTime' , format: 'MM/dd/yyyy' }">
                  
                </e-column>

                
                <e-column headerText='{{i18Labels?.Actions}}' 
                        width= 10>
                        <ng-template #template let-data>
                            <span  class="cursor-pointer text-primary" (click)="approveRequest(data)" *ngIf="data?.status=='new'">{{i18Labels?.Approve}}</span>&nbsp;
                            <span  class="cursor-pointer" (click)="rejectRequest(data)" *ngIf="data?.status=='new'">{{i18Labels?.Reject}}</span>
                            <span  class=" text-success"  *ngIf="data?.status=='approved'">{{i18Labels?.Approved}}</span>
                            <span  class=" text-dark"  *ngIf="data?.status=='rejected'">{{i18Labels?.Rejected}}</span>
                         </ng-template>
                    </e-column>
            </e-columns>
        </ejs-grid>
    </div>
</div> -->
<ejs-tab id="element">
    <e-tabitems>
        <e-tabitem >
            <ng-template #headerText>
                Open
            </ng-template>
            <ng-template #content>

<ejs-grid #gridelement [dataSource]='requestList'  [allowPaging]="true" 
[allowSorting]="true" [pageSettings]='pageSettings' class=" ml-0 mr-0"
[sortSettings]="{ columns: [{ field: 'requested_date', direction: 'Descending' }] }" [allowTextWrap] = 'true'
>
    <e-columns>
        <e-column headerText='{{i18Labels?.Requestor}}' width=10>
                <!-- <ng-template #template let-data>
                    {{data?.requestor}}
                </ng-template> -->
        </e-column>
        <e-column headerText='User ID' width=10 >
            <!-- <ng-template #template let-data>
                {{data?.module}}
            </ng-template> -->

        </e-column>

        <e-column headerText='Email' width=11 >
            <ng-template #template let-data>
               
             
                    
            </ng-template>

        </e-column>

      

      
        <e-column field="requested_date" headerText='Date Requested' width=10 type='datetime' [format]="{ type: 'dateTime' , format: 'MM/dd/yyyy' }">
          
        </e-column>

        <e-column headerText='Days Open' width=10>
            <!-- <ng-template #template let-data>
                {{data?.comment}}

            </ng-template> -->

        </e-column>

        <e-column headerText='Status' width=10>
            <!-- <ng-template #template let-data>
                {{data?.comment}}

            </ng-template> -->

        </e-column>
        
        <e-column 
                width= 10>
                <ng-template #template let-data>
                    <em class="fa fa-chevron-right ml-3" style=" border-radius: 3px;" 
                    	type="button"></em>
                </ng-template>
            </e-column>
    </e-columns>

</ejs-grid>
</ng-template>

</e-tabitem >

<e-tabitem >
    <ng-template #headerText>
        Completed
    </ng-template>
    <ng-template #content>

<ejs-grid #gridelement [dataSource]='requestList'  [allowPaging]="true" 
[allowSorting]="true" [pageSettings]='pageSettings' class="ml-0 mr-0"
[sortSettings]="{ columns: [{ field: 'requested_date', direction: 'Descending' }] }" [allowTextWrap] = 'true'
>
<e-columns>
    <e-column headerText='{{i18Labels?.Requestor}}' width=10>
            <!-- <ng-template #template let-data>
                {{data?.requestor}}
            </ng-template> -->
    </e-column>
    <e-column headerText='User ID' width=10 >
        <!-- <ng-template #template let-data>
            {{data?.module}}
        </ng-template> -->

    </e-column>

    <e-column headerText='Email' width=11 >
        <ng-template #template let-data>
           
         
                
        </ng-template>

    </e-column>

  

  
    <e-column field="requested_date" headerText='Date Requested' width=10 type='datetime' [format]="{ type: 'dateTime' , format: 'MM/dd/yyyy' }">
      
    </e-column>
    <e-column field="requested_date" headerText='Date Completed' width=10 type='datetime' [format]="{ type: 'dateTime' , format: 'MM/dd/yyyy' }">
      
    </e-column>

    <e-column headerText='Days Open' width=10>
        <!-- <ng-template #template let-data>
            {{data?.comment}}

        </ng-template> -->

    </e-column>

    <e-column  headerText=' Active' width=10>
        <ng-template  #template let-data>
           

            <div class="switchToggle">
                <input type="checkbox" >
                <label class="toggle-bar" ></label>
            </div>
            
        </ng-template>
    </e-column>
    
    <e-column 
            width= 10>
            <ng-template #template let-data>
                <em class="fa fa-chevron-right ml-3" style=" border-radius: 3px;" 
                    type="button"></em>
            </ng-template>
        </e-column>
</e-columns>

</ejs-grid>
</ng-template>

</e-tabitem >


</e-tabitems>

</ejs-tab>